import express from "express";
import engine from "ejs-mate";
import dotenv from "dotenv";
dotenv.config();

import "@bot/bot";

// import middleware
import { attachGuilds } from "@server/middleware/attachGuilds";

// import routers
import { router as homeRouter } from "@server/routes/home";
import { router as guildRouter } from "@server/routes/guild";

const app = express();

app.engine("ejs", engine);
app.set("views", "./src/client/views");
app.set("view engine", "ejs");

app.use("/static", express.static("./src/client/public"));
app.use("/static/preline.js", express.static("./node_modules/preline/dist/preline.js"));

// register middleware
app.use(attachGuilds);

// register routers
app.use("/", homeRouter);
app.use("/guild", guildRouter);

const PORT = process.env.PORT || 3000;

app.listen(PORT, () => {
    console.log(`Server is listening on http://localhost:${PORT}`);
});
