const knex = require("knex");

const { 
    DB_CLIENT,
    SQLITE_FILE,
    PG_HOST,
    PG_PORT,
    PG_USER,
    PG_PASSWORD,
    PG_DATABASE
} = process.env;

const dbConfig = {
    sqlite: {
        client: "sqlite3",
        connection: {
            filename: SQLITE_FILE
        },
        useNullAsDefault: true
    },
    postgresql: {
        client: "pg",
        connection: {
            host: PG_HOST,
            port: PG_PORT,
            user: PG_USER,
            password: PG_PASSWORD,
            database: PG_DATABASE
        }
    }
}

const db = knex(dbConfig[DB_CLIENT]);
module.exports = db;
